For Developers
Create SFTP User
POST https://ed.link/api/v2/teams/:team_id/sources/sftp/users
Provisions a new set of SFTP credentials (username and password) for Edlink-hosted SFTP uploads. Use host sftp.ed.link on port 2022 when connecting with those credentials.
Permissions
Requires either the sources.create or sources.update system permission.
Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
:team_id | UUID | Yes | The ID of the team. |
Sample Request
const response = await axios.post(
`https://ed.link/api/v2/teams/${team_id}/sources/sftp/users`,
{},
{
headers: {
authorization: `Bearer ${user_session_token}`
}
}
);
Sample Response
{
"$data": {
"username": "edlink_sftp_oakridge_94a2",
"password": "sftp_pw_example_4892bc9184ad"
}
}
Connect with:
| Field | Value |
|---|---|
| Host | sftp.ed.link |
| Port | 2022 |
| Username / Password | Values returned in $data |
